.wbnet-table {
  font-size: 14px;
  box-shadow: 0 1px 3px 0 #0000001a, 0 1px 2px -1px #0000001a;

  & > ol {
    margin: 16px 0;
    padding-left: 0;
    list-style-type: none;

    & > li {
      display: grid;
      gap: 8px 4px;
      align-items: start;
      grid-template-columns: repeat(2, 1fr);
      margin-left: 0;
      padding: 8px 12px;
      border-bottom: 1px solid #e2e8f0;

      & > span {

        img {
          display: block;
          width: 100%;
          max-width: 100%;
        }

        &.wbnet-idx {
          display: none;
        }
      }
    }
  }

  .wbnet-load-more {
    display: block;
    padding-bottom: 12px;
    text-align: center;

    & button {
      padding: 8px 24px;
      background-color: #fff;
      border: 0 none;
      border-radius: 6px;
      box-shadow: 0 1px 3px 0 #0000001a, 0 1px 2px -1px #0000001a;
      cursor: pointer;
    }
  }

  .invisible {
    display: none;
  }
}

.wbnet-table--header {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.wbnet-table--entries-wrapper {
  display: flex;
  align-items: center;

  & select {
    width: 64px;
    margin-right: 8px;
    padding: 6px 12px;
    background-color: #fff;
    border: 1px solid #e2e8f0;
    border-radius: 6px;
  }

  & span {
    display: none;
    @media (min-width: 768px) {
      display: block;
    }
  }
}

.wbnet-table__1 {

  & > ol {

    & > li {
      margin-bottom: 0;
      padding: 8px 0;

      & > span {
        padding-left: 4px;

        &.wbnet-buchmacher {
          grid-column: 1;
          grid-row: 1/6;
          align-self: stretch;
          display: flex;
          align-items: center;
          padding-left: 0;
          background-color: #f1f5f9;
        }

        &.wbnet-bonus {
          grid-column: 2;
          grid-row: 1;
        }

        &.wbnet-prozent {
          grid-column: 2;
          grid-row: 2;
        }

        &.wbnet-umsatz {
          grid-column: 2;
          grid-row: 3;
        }

        &.wbnet-mindestquote {
          grid-column: 2;
          grid-row: 4;
        }

        &.wbnet-bonuscode {
          grid-column: 2;
          grid-row: 5;
        }

        &.wbnet-links {
          grid-column: 1/3;
          grid-row: 6;
          display: inline-block;
          text-align: center;

          a {
            display: block;
            text-decoration: none;

            &.wbnet-link-aff {
              padding: 4px 32px;
              background-color: #235787;
              color: #fff;
              border-radius: 6px;

              &:hover {
                background-color: #1d476f;
              }
            }

            &.wbnet-link-review {
              margin-top: 8px;
              color: #b91c1c;

              &:hover {
                color: #9b1919;
              }
            }
          }
        }

        & > .arrows {
          color: #677488;
          pointer-events: none;

          & > span {
            display: inline-block;
            width: 7px;
          }
        }
      }

      @media (min-width: 1024px) {
        grid-template-columns: 2rem 1.5fr 1fr 1fr 2fr 1.2fr 1.5fr 1.5fr;
        gap: 4px;
        align-items: center;
        padding-top: 16px;
        padding-bottom: 16px;

        & > span {
          text-align: center;

          &.wbnet-idx {
            display: block;
            grid-column: 1;
            grid-row: 1;
          }

          &.wbnet-buchmacher {
            grid-column: 2;
            grid-row: 1;
          }

          &.wbnet-bonus {
            grid-column: 3;
            grid-row: 1;
          }

          &.wbnet-prozent {
            grid-column: 4;
            grid-row: 1;
          }

          &.wbnet-umsatz {
            grid-column: 5;
            grid-row: 1;
          }

          &.wbnet-mindestquote {
            grid-column: 6;
            grid-row: 1;
          }

          &.wbnet-bonuscode {
            grid-column: 7;
            grid-row: 1;
          }

          &.wbnet-links {
            grid-column: 8;
            grid-row: 1;
          }
        }
      }

      &:hover {
        background-color: #e2e8f0;

        & > .wbnet-buchmacher {
          background-color: #f8fafc;
        }
      }

      &:nth-child(odd) {
        background-color: #f1f5f9;

        & > .wbnet-buchmacher {
          background-color: #f8fafc;
        }

        &:hover {
          background-color: #e2e8f0;
        }
      }

      &.wbnet-table--heading {
        gap: 2px;
        font-size: 13px;
        font-weight: 700;
        color: #2d323b;
        background-color: #e2e8f0;

        & > span {
          cursor: pointer;
        }

        & > .wbnet-buchmacher {
          display: inline-block;
          align-self: center;
          text-align: center;
          background-color: transparent;
        }

        &:hover {
          background-color: #e2e8f0;

          & > .wbnet-buchmacher {
            background-color: transparent;
          }
        }
      }

      .sm-only {
        display: inline-block;
        color: #235787;

        @media (min-width: 768px) {
          display: none;
        }
      }
    }
  }

  [data-dir="asc"] .arrows .up,
  [data-dir="desc"] .arrows .down {
    display: inline;
  }

  [data-dir="desc"] .arrows .up,
  [data-dir="asc"] .arrows .down {
    display: none;
  }
}
